D4Science Infrastructure - Task #4414

New server for the Broker Service
Jun 23, 2016 05:31 PM - Michele Artini

Status: Closed Start date: Mar 23, 2017
Priority: Normal Due date:

Assignee: _InfraScience Systems Engineer % Done: 100%
Category: Estimated time: 0.00 hour
Target version: UnSprintable

Infrastructure: Development

Description

Can you prepare a virtual machine for the development of the Broker Service?
We need the following components:

e Java 8

e Tomcat 8

¢ RabbitMQ (latest version)

¢ ElasticSearch (latest version)

At the beginning | think that it is sufficient a machine with 4 cores and 8 GB.

Can you also add the administrator rights to me, claudio and alessia?

Subtasks:
Task # 7654: Configure logrotate for Literature Broker Service

Closed

History

#1 - Jun 23, 2016 05:38 PM - Pasquale Pagano
- Tracker changed from Support to Task

#2 - Jun 23, 2016 09:24 PM - Andrea Dell'Amico

There is no tomcat 8 package available on our supported distribution. Is it really needed?

#3 - Jun 24, 2016 09:26 AM - Michele Artini

No it's not needed, you can install tomcat 7.

#4 - Jun 25, 2016 04:06 PM - Andrea Dell’Amico
VM name is going to be broker1-dev-dnet.d4science.org, IP 146.48.123.4

#5 - Jun 29, 2016 06:41 PM - Andrea Dell'Amico
- Status changed from New to In Progress

- % Done changed from 0 to 50
You can access the machine and the services are running. rabbitmqg needs some love:

e Can you remind me of what plugins are needed?

* Do the server needs to be contacted from local only?

¢ does elasticsearch need to be contacted from outside?

In the next days I'll also provide an nginx instance acting as reverse proxy.

#6 - Jun 30, 2016 04:14 PM - Andrea Dell'Amico
- % Done changed from 50 to 90
We only need the reverse proxy.

#7 - Jul 27,2016 11:07 AM - Michele Artini

Andrea, can you increase the RAM?
At least 16 GBs are required.

Today the server is used for a demo, so
you should perform the update in the next days.

#8 - Jul 27, 2016 11:26 AM - Tommaso Piccioli
VM prepared to be restarted with 8 vepu and 16 GB ram.

#9 - Aug 01, 2016 01:48 PM - Andrea Dell'Amico

Server rebooted with the new resources.

Let me know what parts need to be contacted directly, because we still need a reverse proxy before the applications.

#10 - Oct 28, 2016 03:08 PM - Michele Artini

The following services should be accessible only from the ISTI network:

e Tomcat (port 8080)
* ElasticSearch (9200 and 9300)
e RabbitMQ (5672 and 15672)

#11 - Nov 03, 2016 10:36 AM - Michele Artini

Paolo says to suspend the ticket for a couple of days, he has to perform a demo.

(Probably it will be necessary to clone this server to realize a specific demo server).

#12 - Jan 31, 2017 03:39 PM - Michele Artini

Can you close the access to this server?
The broker will be available in a new server as described in #6748.

#13 - Feb 22,2017 10:12 AM - Michele Artini

We have deployed a new release of the broker service;
it has been developed using spring-boot (so tomcat can be uninstalled);

We have copied the necessary files in the following folders:
e /usr/lib/dnet : contains the executable jar
e /etc/dnet : contains properties files
¢ /var/lib/dnet : contains the data

It is also necessary to update the firewall configuration for port 8080:

e CLOSED by default
e OPEN for ISTI and NKUA addresses

#14 - Apr 11, 2017 08:02 PM - Andrea Dell'Amico

- Status changed from In Progress to Closed

Done.

#15 - Jul 06, 2017 09:53 AM - Claudio Atzori

- Status changed from Closed to In Progress

- Assignee changed from Andrea Dell'’Amico to _InfraScience Systems Engineer
broker1-dev-dnet.d4science.org is out of free disk space.

The majority seems to be used by elasticsearch and rabbitmq

root@brokerl-dev-dnet:~# df -h
https://redmine.dev.d4science.org/issues/6748

Filesystem Size Used Avail Use$% Mounted on

udev 10M 4.0K 10M 1% /dev

tmpfs 3.1G 88K 3.1G 1% /run
/dev/xvda2 80G 80G 33M 100% /

none 4.0K 0 4.0K 0% /sys/fs/cgroup
none 5.0M 0 5.0M 0% /run/lock

none 7.7G 0 7.7G 0% /run/shm

none 100M 0 100M 0% /run/user

root@brokerl-dev-dnet:~# du -hsc /var/lib/rabbitmg/

38G /var/lib/rabbitmg/

38G total

root@brokerl-dev-dnet:~# du -hsc /var/lib/elasticsearch/
40G /var/lib/elasticsearch/

40G total

Is it possible to extend the volume? In the worst case we'd need ~200GB. As an alternative we could also benefit of separated volumes, 100Gb each,
dedicated to elasticsearch and rabbitmq.

#16 - Jul 06, 2017 12:51 PM - Tommaso Piccioli

Now on /var/lib/rabbitmqg and /var/lib/elasticsearch are mounted two separate file system of 100 GB
After the reboot of broker1-dev-dnet | can see

Size Used Avail Use% Mounted on
12G 2.6G 9.5G 21%/

100G 38M 100G 1% /var/lib/rabbitmq
100G 40G 61G 40% /var/lib/elasticsearch

#17 - Jul 20, 2017 12:26 PM - Andrea Dell'Amico

- Status changed from In Progress to Closed

Please open new tickets if new issues arise.
